<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [ls](./bitburner.ns.ls.md)

## NS.ls() method

List files on a server.

**Signature:**

```typescript
ls(host: string, substring?: string): string[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Hostname of the target server. |
|  substring | string | _(Optional)_ A substring to search for in the filename. |

**Returns:**

string\[\]

Array with the filenames of all files on the specified server.

## Remarks

RAM cost: 0.2 GB

Returns an array with the filenames of all files on the specified server (as strings). The returned array is sorted in alphabetic order.

